Bug 10663 - 100% smbd cpu loop in ctdb setups
100% smbd cpu loop in ctdb setups
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-18 13:50 UTC by Björn Baumbach
Modified: 2014-07-17 18:36 UTC (History)
1 user (show)

See Also:


Attachments
proposed patch for 4.0 and 4.1 (2.30 KB, patch)
2014-06-18 13:50 UTC, Björn Baumbach
metze: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2014-06-18 13:50:04 UTC
Created attachment 10040 [details]
proposed patch for 4.0 and 4.1

In a ctdb setup, msg_read_got_ctdb did not set channel->pending_req to
NULL. In smbXsrv_session_close_loop in any error condition this leads to
a 100% loop. smbXsrv_session_close_loop continously retries, but because
close_channel->pending_req is != NULL, msg_read_send will always return
EBUSY, making smbXsrv_session_close_loop retry infinitely.

This patch makes sure that msg_read_got_ctdb correctly NULLs out pending_req.

Patch applies to 4.0 and 4.1.
Comment 1 Stefan Metzmacher 2014-06-19 12:54:28 UTC
Comment on attachment 10040 [details]
proposed patch for 4.0 and 4.1

Looks good, Karolin please add "Reviewed-by: Stefan Metzmacher <metze@samba.org>" to the commit message.
Comment 2 Karolin Seeger 2014-07-01 07:17:10 UTC
(In reply to comment #1)
> Comment on attachment 10040 [details]
> proposed patch for 4.0 and 4.1
> 
> Looks good, Karolin please add "Reviewed-by: Stefan Metzmacher
> <metze@samba.org>" to the commit message.

Done.
Pushed to autobuild-v4-[0|1]-test.
Comment 3 Karolin Seeger 2014-07-17 18:36:06 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Comment on attachment 10040 [details] [details]
> > proposed patch for 4.0 and 4.1
> > 
> > Looks good, Karolin please add "Reviewed-by: Stefan Metzmacher
> > <metze@samba.org>" to the commit message.
> 
> Done.
> Pushed to autobuild-v4-[0|1]-test.

Pushed to both branches.
Closing out bug report.

Thanks!